Subject: Re: [Boost-testing] Apple Mac OS testers?
From: Niko Demmel <[email-masked]>
To: Running Boost regression tests <[email-masked]>
Date: Sun, 28 Oct 2007 17:10:03 +0100
List-Id: Running Boost regression tests <boost-testing.lists.boost.org>

On 26/10/2007 18:24, Douglas Gregor wrote:
> On Fri, 2007-10-26 at 08:13 +0100, John Maddock wrote:
>   
>> Niko Demmel wrote:
>>     
>>> The latest regression.py from the svn trunk  (with both tarball and
>>> svn) failes when building process_jam_log.
>>> From the output of regression.py:
>>>
>>> darwin.compile.c++ bin/darwin/release/process_jam_log.o
>>> ../../../boost/test/impl/execution_monitor.ipp: In constructor
>>> 'boost::detail::signal_action::signal_action(int, bool, bool, char*)':
>>> ../../../boost/test/impl/execution_monitor.ipp:541: error: expected
>>> id-expression before '(' token
>>>
>>>    "g++"  -ftemplate-depth-128 -O3 -finline-functions -Wno-inline
>>> -Wall
>>> -fPIC -dynamic -Wno-long-double -no-cpp-precomp  -DBOOST_ALL_NO_LIB=1
>>> -DBOOST_FILESYSTEM_STATIC_LINK=1 -DBOOST_SYSTEM_STATIC_LINK=1
>>> -DBOOST_THREAD_POSIX -DNDEBUG  -I"../../.." -c -o
>>> "bin/darwin/release/process_jam_log.o" "../src/process_jam_log.cpp"
>>>
>>> ...failed darwin.compile.c++ bin/darwin/release/process_jam_log.o...
>>>
>>>
>>> Any ideas?
>>>       
>> Doug Gregor has reported this already: 
>> http://article.gmane.org/gmane.comp.lib.boost.devel/166790 but he's also 
>> reported it fixed?  However, since his results aren't showing up either 
>> maybe there is still a problem somewhere... Doug?
>>     
>
> I believe I've fixed this. My results aren't showing up because even
> though process_jam_log gets built, regression.py isn't finding the
> resulting binary. 
>
>   

Have you submitted the fix? If so, I have a different issue. With the a 
svn checkout made yesterday I still had trouble building process_jam_log

darwin.compile.c++ bin/darwin/release/process_jam_log.o
../../../boost/test/impl/execution_monitor.ipp: In constructor 
'boost::detail::signal_action::signal_action(int, bool, bool, char*)':
../../../boost/test/impl/execution_monitor.ipp:541: error: expected 
id-expression before '(' token

Line 541 is an assertion (which shouldn't be essential)

BOOST_TEST_SYS_ASSERT( ::sigemptyset( &m_new_action.sa_mask ) != -1 );

I commented it out and it built just fine. Not sure whats going on...

The regression run now works and there were no other complications. (I use Rene's run.py with svn)

Regards,
Niko

_______________________________________________
Boost-Testing mailing list
[email-masked]
http://listarchives.boost.org/mailman/listinfo.cgi/boost-testing